DCSTATS(1)

NAME
dcstats - ACR/NEMA DICOM PS3 ... DICOM PS3 - DICOM image statistics

SYNOPSIS

dcstats [ -v|verbose ] [ -filename ]

DESCRIPTION

dcstats reads the named dicom or acr-nema input file and describes the statistics of the image pixel data. The primary intent is to determine if the pixel representation is unsigned or signed (regardless of what other attributes may specify).

The description and verbose output go to standard error.

The basic input switches are described in dcintro(1). Options specific to this program are:

-v|verbose
    Display byte offset from file start and message start, in hexadecimal, and dump contents while reading and once read.

-filename
    Show the name of the file supplied in the arguments; a hyphen will be reported if no filename was supplied.

-filename
    Show the name of the file supplied in the arguments; a hyphen will be reported if no filename was supplied.

ENVIRONMENT

EXAMPLES

% dcstats expmeta.dc3
Signed minimum value = 0x0 (0 dec)
Signed maximum value = 0x6e9 (1769 dec)
Unsigned minimum value = 0x0 (0 dec)
Unsigned maximum value = 0x6e9 (1769 dec)
Signed range = 0x6e9 (1769 dec)
Unsigned range = 0x6e9 (1769 dec)
Signed mean = 0x158 (344 dec) (19.446%)
Unsigned mean = 0x158 (344 dec) (19.446%)
Bits Stored = 16
Significant unsigned bits = 11
% dcstats impnone.dc3
Signed minimum value = 0xfa24 (64036 dec)
Signed maximum value = 0x638 (1592 dec)
Unsigned minimum value = 0x0 (0 dec)
Unsigned maximum value = 0xffff (65535 dec)
Signed range = 0xc14 (3092 dec)
Unsigned range = 0xffff (65535 dec)
Signed mean = 0xfec2 (65218 dec) (38.2277%)
Unsigned mean = 0x1cdd (7389 dec) (11.2749%)
Bits Stored = 16
Significant positive bits = 11
Significant negative bits = 11
Offset to make unsigned in hex is = 0x5dc
Offset to make unsigned in dec is = 1500

FILES

SEE ALSO
dchist(1), dcintro(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS